> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devmob.app.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Transport Operator Route Policy

> Soft-deletes a transport operator route policy.



## OpenAPI

````yaml /api-reference/bko/openapi.json delete /api/v1/bko/transport-operator-route-policies/{transportOperatorRoutePolicyId}
openapi: 3.0.0
info:
  title: DEVMOB BKO API
  version: '1.0'
servers: []
security: []
tags:
  - name: Auth
    description: Authentication endpoints.
  - name: Benefit Category
    description: Global fare benefit category endpoints.
  - name: Invite
    description: Invitation endpoints.
  - name: Member
    description: BKO internal member endpoints.
  - name: Notification
    description: BKO inbox notifications
  - name: Order
    description: Order query endpoints.
  - name: Organization
    description: Organization management endpoints.
  - name: Organization Address
    description: Organization address endpoints.
  - name: Payment
    description: Payment query endpoints.
  - name: Permission
    description: Permission catalog endpoints.
  - name: Place
    description: Place lookup endpoints.
  - name: Point
    description: Global point catalog endpoints.
  - name: Profile
    description: Authenticated BKO profile endpoints.
  - name: Receivable
    description: Receivable query endpoints.
  - name: Report
    description: Platform report endpoints.
  - name: Role
    description: Internal and reusable role endpoints.
  - name: Route
    description: BKO route review endpoints.
  - name: Route Approval
    description: BKO route approval review endpoints.
  - name: Storage
    description: Storage upload signing endpoints.
  - name: Transfer
    description: Transfer query endpoints.
  - name: Transport Operator
    description: Transport operators
  - name: Transport Operator Route
    description: Transport operator route authorizations
  - name: Transport Operator Route Policy
    description: Transport operator route policy management.
  - name: Transport Operator Subsidy Settlement
    description: Transport operator subsidy settlements
  - name: User
    description: Platform user administration endpoints.
  - name: User Session
    description: Backoffice user session management.
paths:
  /api/v1/bko/transport-operator-route-policies/{transportOperatorRoutePolicyId}:
    delete:
      tags:
        - Transport Operator Route Policy
      summary: Delete Transport Operator Route Policy
      description: Soft-deletes a transport operator route policy.
      operationId: deleteBkoTransportOperatorRoutePolicy
      parameters:
        - name: transportOperatorRoutePolicyId
          required: true
          in: path
          description: Transport Operator Route Policy identifier
          schema:
            type: string
            format: uuid
      responses:
        '204':
          description: No Content
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '409':
          $ref: '#/components/responses/ConflictError'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearer: []
components:
  responses:
    UnauthorizedError:
      description: Authentication required.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    ForbiddenError:
      description: Forbidden.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    NotFoundError:
      description: Resource not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    ConflictError:
      description: State conflict.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    InternalServerError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  schemas:
    ApiError:
      type: object
      properties:
        statusCode:
          type: integer
          description: HTTP status code.
          example: 404
        error:
          type: string
          description: HTTP error name.
          example: Not Found
        message:
          type: string
          description: Machine-readable error code.
          example: resource.not_found
      required:
        - statusCode
        - error
        - message
      description: Domain error response.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````